Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class Jdk

    java.lang.Object
      org.gradle.plugins.ide.idea.model.Jdk

    class Jdk

Represents information for the project Java SDK. This translates to attributes of the ProjectRootManager element in the ipr.

Property Summary
`boolean` | `assertKeyword`
`boolean` | `jdk15`
`String` | `languageLevel`
`String` | `projectJdkName`

Constructor Summary
`Jdk(String jdkName, IdeaLanguageLevel ideaLanguageLevel)`
`Jdk(def assertKeyword, def jdk15, def languageLevel, def projectJdkName)`

Method Summary
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### assertKeyword

    boolean assertKeyword

### jdk15

    boolean jdk15

### languageLevel

    String languageLevel

### projectJdkName

    String projectJdkName

Constructor Detail

### Jdk

    Jdk(String jdkName, IdeaLanguageLevel ideaLanguageLevel)

### Jdk

    Jdk(def assertKeyword, def jdk15, def languageLevel, def projectJdkName)

Method Detail

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.10